Package com.isomorphic.xml

# Class Project

java.lang.Object
com.isomorphic.xml.Project

All Implemented Interfaces:
  `IToJSON`

public class Project extends Object implements IToJSON
Encapsulates a Reify Project (.proj.xml file)

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `getLoadScript(String projectName)`
  Returns JavaScript code to cache screens from a Project by name.
  `static String`
  `getLoadScript(String projectNames, ProjectLoadSettings settings)`
  Returns JavaScript code to cache screens from a set of Projects by name.
  `static String`
  `getLoadScript(String projectName, List<String> screenNames)`
  Returns JavaScript code to cache screens from a Project by name.

- ## Method Details

  - ### getLoadScript

    public static String getLoadScript(String projectName) throws Exception
    Returns JavaScript code to cache screens from a Project by name. The current screen in the Project is drawn.
    Parameters:
      `projectName` - The name of the Project to load. For Projects coming from the filesystem, the name is everything before any file extension. So for example if you have a Foo.proj.xml file, the name you would provide to this method should be "Foo".
    Throws:
      `Exception`

  - ### getLoadScript

    public static String getLoadScript(String projectName, List<String> screenNames) throws Exception
    Returns JavaScript code to cache screens from a Project by name. Only the specified screens in the Project are loaded.
    Parameters:
      `projectName` - The name of the Project to load. For Projects coming from the filesystem, the name is everything before any file extension. So for example if you have a Foo.proj.xml file, the name you would provide to this method should be "Foo".
      `screenNames` - The names of the screens to be loaded
    Throws:
      `Exception`

  - ### getLoadScript

    public static String getLoadScript(String projectNames, ProjectLoadSettings settings) throws Exception
    Returns JavaScript code to cache screens from a set of Projects by name.
    Parameters:
      `projectNames` - The names of the Projects to load. For Projects coming from the filesystem, the name is everything before any file extension. So for example if you have a Foo.proj.xml file, the name you would provide to this method should be "Foo".
      `settings` - Additional settings to control the load process
    Throws:
      `Exception`